# Class OpenTelemetry

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.OpenTelemetry

public class OpenTelemetry extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:com.io7m.certusine:configuration:1}Logs" minOccurs="0"/>
             <element ref="{urn:com.io7m.certusine:configuration:1}Metrics" minOccurs="0"/>
             <element ref="{urn:com.io7m.certusine:configuration:1}Traces" minOccurs="0"/>
           </sequence>
           <attribute name="LogicalServiceName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `logicalServiceName`
  `protected Logs`
  `logs`
  `protected Metrics`
  `metrics`
  `protected Traces`
  `traces`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenTelemetry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLogicalServiceName()`
  Gets the value of the logicalServiceName property.
  `Logs`
  `getLogs()`
  Gets the value of the logs property.
  `Metrics`
  `getMetrics()`
  Gets the value of the metrics property.
  `Traces`
  `getTraces()`
  Gets the value of the traces property.
  `void`
  `setLogicalServiceName(String value)`
  Sets the value of the logicalServiceName property.
  `void`
  `setLogs(Logs value)`
  Sets the value of the logs property.
  `void`
  `setMetrics(Metrics value)`
  Sets the value of the metrics property.
  `void`
  `setTraces(Traces value)`
  Sets the value of the traces property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### logs

    protected Logs logs

  - ### metrics

    protected Metrics metrics

  - ### traces

    protected Traces traces

  - ### logicalServiceName

    protected String logicalServiceName

- ## Constructor Details

  - ### OpenTelemetry

    public OpenTelemetry()

- ## Method Details

  - ### getLogs

    public Logs getLogs()
    Gets the value of the logs property.
    Returns:
      possible object is `Logs`

  - ### setLogs

    public void setLogs(Logs value)
    Sets the value of the logs property.
    Parameters:
      `value` - allowed object is `Logs`

  - ### getMetrics

    public Metrics getMetrics()
    Gets the value of the metrics property.
    Returns:
      possible object is `Metrics`

  - ### setMetrics

    public void setMetrics(Metrics value)
    Sets the value of the metrics property.
    Parameters:
      `value` - allowed object is `Metrics`

  - ### getTraces

    public Traces getTraces()
    Gets the value of the traces property.
    Returns:
      possible object is `Traces`

  - ### setTraces

    public void setTraces(Traces value)
    Sets the value of the traces property.
    Parameters:
      `value` - allowed object is `Traces`

  - ### getLogicalServiceName

    public String getLogicalServiceName()
    Gets the value of the logicalServiceName property.
    Returns:
      possible object is `String`

  - ### setLogicalServiceName

    public void setLogicalServiceName(String value)
    Sets the value of the logicalServiceName property.
    Parameters:
      `value` - allowed object is `String`